Subject: bug#18856: 24.4; *grep* output buffer not getting fontified when jit-lock-defer-time is used

From: Stefan Monnier <[email-masked]>
Date: Tue, 28 Oct 2014 13:38:36 -0400

> I can overcome this problem if I add a call to
> internal-timer-start-idle at the end of compilation-handle-exit.
> Not sure this is TRT, though.

I don't think this is right: as mentioned the issue is not specific to
compilation, so we'd really need to call internal-timer-start-idle from
the code that runs process-filters.

And it implies a different definition of "idle" than the one we've had
so far, so it'd be an incompatible change.

> then I see a single event, BUFFER_SWITCH_EVENT, being reported.
> Should input-pending-p ignore such events?

I think so, yes, because these events are not (consciously) generated by
the user.

        Stefan